=== debian/changelog ===
evehomescreen (0.1.0-2) unstable; urgency=low

  * PR1.2 build

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Tue, 25 May 2010 10:13:25 +0300
