=== debian/control ===
Source: evehomescreen
Section: user/desktop
Priority: extra
Maintainer: Jaakko Kyro <jkyro@korjaussarja.net>
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, x11proto-core-dev, libgconf2-dev, libdbus-1-dev, libglib2.0-dev, libdbus-glib-1-dev
Standards-Version: 3.7.2

Package: evehomescreen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-maemo5-homescreen-loader
Description: Homescreen widget to display Eve character training status
 Displays the skill currently being trained, target level and 
 time of completion.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAD2AAAA9gBbkdjNQAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAANuSURBVGiB7VlNS+taFF0xMUSQEjrwB/gj
 lDtx5EClv8CZTqzgQLAi+IXXllYo2EGh6EDw4y/U6KAgUqGOREGqs1Id18ak
 VW+xXW/w3s27sanE97zEXrpgQ7L3TtZZOWdvzmkB4DuAHwDYZvYDwHfhnwsZ
 7YmagL/VtC26vB7A/0VHgNfoCPAaHQFeoyPAa7S9AOnXG1EUIUlSq9wvgdfX
 V9TrdeveGm0gEEAkEoGqqp4MzC10Xcfy8jLS6TQAwNrMaZqG0dFRLC4uIp1O
 o1areTnOJsiyjEAggGg0iqOjI4yNjVkxAmA2m2WpVKKqql7v81uaqqoslUrM
 ZrOWz1bEhmFA1/XP+mifDl3XYRiGzfdndaGfGB8fx9DQkKsX3N/fY2NjA5FI
 BIqiIBwO4+HhwZlMkhCJRAAAS0tLmJubQ39/vyueXC6Hvb09x5hVA4VCgQC4
 tbVFt7i8vCQAxmIxkmQymWy5hmdnZ0mS8XicAHh+fu6aZ3d3lwBYKBRsNfBu
 08/n8wiHw+9+mXK5DACIxWKYnJxEMBhEKpXCzc2NLa+vrw9ra2sol8uIRqO2
 mKZpODg4eJenUCi0jDXNQE9PD1VVpSzLH+oSwWCQJKlpWlNsZ2eHJDk/P2/5
 ent7qaoqRVF0zfF2BhwFJJNJPj8/8+npidVqldVqlZVKhaZp0jRNGobBx8dH
 6rpue5koiry+viZJjoyMWP6BgQE2Gg0Wi0UqimL5T09PbTyVSsXiMQzDxpNK
 pRwFOHYhSZKgKIork+V/f5Gp1+sIhUIAgM3NTUiSBEEQkEwmIQgCVlZW8PLy
 YuXLsuyap7u7+/cvoZ92fHxMkpyZmeHExARJ8urqil1dXba8z1hCjkWcSCQw
 NTWFfD6P9fV1kLQZAOta13WcnJzYng+FQhgeHkY8HrfyFxYW0Gg0bHmZTAaD
 g4PQNA37+/tNPL/yFYtFXFxcuJuB/9JG39r29raVk8lkHHN+WxvN5XJQFMVR
 7Vvc3d05+ldXVyHLMgRBQCKRcMw5PDzE7e2tK56zs7OWsaYZ+Mrmqgu1E2wC
 fD7flz7QqKoKn89n81k1YJom/H4/pqenv/SBxu/3wzRNy2+dyNr+SAm056G+
 8weH1+gI8BodAV6jI8BrdAR4jT9CwNfadn4MNRFAN4BvAESPB/NR1ABs/AXF
 LLD44LIAQwAAAABJRU5ErkJggg==
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1594&atid=5701
XB-Maemo-Display-Name: EVE Online homescreen widget
