## evehomescreen 0.1.0-3

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: evehomescreen
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 25 11:02:11 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jun 21 23:39:29 2010
 # Project:  evehomescreen.pro
 # Template: app
 # Command: /usr/bin/qmake-qt4 -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
