=== tests/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat May 8 14:44:34 2010
# Project:  tests.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile tests.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt-x86/qt4-maemo5/mkspecs/linux-g++ -I. -I/opt-x86/qt4-maemo5/include/QtCore -I/opt-x86/qt4-maemo5/include/QtNetwork -I/opt-x86/qt4-maemo5/include/QtGui -I/opt-x86/qt4-maemo5/include/QtMaemo5 -I/opt-x86/qt4-maemo5/include -I/opt-x86/qt4-maemo5/include/QtTest -I/opt/qt4-maemo5/include/QtBearer -I../src -I/targets/FREMANTLE_X86/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -lQtBearer -lQtTest -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		../src/eveaccount.cpp \
		../src/evemodel.cpp \
		../src/eveskilltraining.cpp \
		../src/skilltree.cpp moc_eveaccount.cpp \
		moc_evemodel.cpp \
		moc_eveskilltraining.cpp \
		moc_skilltree.cpp
OBJECTS       = main.o \
		eveaccount.o \
		evemodel.o \
		eveskilltraining.o \
		skilltree.o \
		moc_eveaccount.o \
		moc_evemodel.o \
		moc_eveskilltraining.o \
		moc_skilltree.o
DIST          = /opt-x86/qt4-maemo5/mkspecs/common/g++.conf \
		/opt-x86/qt4-maemo5/mkspecs/common/unix.conf \
		/opt-x86/qt4-maemo5/mkspecs/common/linux.conf \
		/opt-x86/qt4-maemo5/mkspecs/qconfig.pri \
		/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/release.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/mobility.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/qtestlib.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/qt.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/moc.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/resources.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/uic.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/lex.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		tests.pro
QMAKE_TARGET  = tests
DESTDIR       = 
TARGET        = tests

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: tests.pro  /opt-x86/qt4-maemo5/mkspecs/linux-g++/qmake.conf /opt-x86/qt4-maemo5/mkspecs/common/g++.conf \
		/opt-x86/qt4-maemo5/mkspecs/common/unix.conf \
		/opt-x86/qt4-maemo5/mkspecs/common/linux.conf \
		/opt-x86/qt4-maemo5/mkspecs/qconfig.pri \
		/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/release.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/mobility.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/qtestlib.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/qt.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/moc.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/resources.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/uic.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/lex.prf \
		/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtTest.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile tests.pro
/opt-x86/qt4-maemo5/mkspecs/common/g++.conf:
/opt-x86/qt4-maemo5/mkspecs/common/unix.conf:
/opt-x86/qt4-maemo5/mkspecs/common/linux.conf:
/opt-x86/qt4-maemo5/mkspecs/qconfig.pri:
/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf:
/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf:
/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf:
/opt-x86/qt4-maemo5/mkspecs/features/release.prf:
/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf:
/opt-x86/qt4-maemo5/mkspecs/features/mobility.prf:
/opt-x86/qt4-maemo5/mkspecs/features/qtestlib.prf:
/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf:
/opt-x86/qt4-maemo5/mkspecs/features/qt.prf:
/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf:
/opt-x86/qt4-maemo5/mkspecs/features/moc.prf:
/opt-x86/qt4-maemo5/mkspecs/features/resources.prf:
/opt-x86/qt4-maemo5/mkspecs/features/uic.prf:
/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf:
/opt-x86/qt4-maemo5/mkspecs/features/lex.prf:
/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtTest.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile tests.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/tests1.0.0 || $(MKDIR) .tmp/tests1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/tests1.0.0/ && $(COPY_FILE) --parents ../src/eveaccount.h ../src/evemodel.h ../src/eveskilltraining.h ../src/skilltree.h .tmp/tests1.0.0/ && $(COPY_FILE) --parents main.cpp ../src/eveaccount.cpp ../src/evemodel.cpp ../src/eveskilltraining.cpp ../src/skilltree.cpp .tmp/tests1.0.0/ && (cd `dirname .tmp/tests1.0.0` && $(TAR) tests1.0.0.tar tests1.0.0 && $(COMPRESS) tests1.0.0.tar) && $(MOVE) `dirname .tmp/tests1.0.0`/tests1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/tests1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_eveaccount.cpp moc_evemodel.cpp moc_eveskilltraining.cpp moc_skilltree.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_eveaccount.cpp moc_evemodel.cpp moc_eveskilltraining.cpp moc_skilltree.cpp
moc_eveaccount.cpp: ../src/eveskilltraining.h \
		../src/eveaccount.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../src/eveaccount.h -o moc_eveaccount.cpp

moc_evemodel.cpp: ../src/eveaccount.h \
		../src/eveskilltraining.h \
		../src/evemodel.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../src/evemodel.h -o moc_evemodel.cpp

moc_eveskilltraining.cpp: ../src/eveskilltraining.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../src/eveskilltraining.h -o moc_eveskilltraining.cpp

moc_skilltree.cpp: ../src/skilltree.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../src/skilltree.h -o moc_skilltree.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: main.moc
compiler_moc_source_clean:
	-$(DEL_FILE) main.moc
main.moc: main.cpp
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) main.cpp -o main.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

main.o: main.cpp main.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

eveaccount.o: ../src/eveaccount.cpp ../src/eveaccount.h \
		../src/eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveaccount.o ../src/eveaccount.cpp

evemodel.o: ../src/evemodel.cpp ../src/evemodel.h \
		../src/eveaccount.h \
		../src/eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evemodel.o ../src/evemodel.cpp

eveskilltraining.o: ../src/eveskilltraining.cpp ../src/eveskilltraining.h \
		../src/evemodel.h \
		../src/eveaccount.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveskilltraining.o ../src/eveskilltraining.cpp

skilltree.o: ../src/skilltree.cpp ../src/skilltree.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o skilltree.o ../src/skilltree.cpp

moc_eveaccount.o: moc_eveaccount.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_eveaccount.o moc_eveaccount.cpp

moc_evemodel.o: moc_evemodel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_evemodel.o moc_evemodel.cpp

moc_eveskilltraining.o: moc_eveskilltraining.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_eveskilltraining.o moc_eveskilltraining.cpp

moc_skilltree.o: moc_skilltree.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_skilltree.o moc_skilltree.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
