=== debian/changelog ===
evehomescreen (0.1.0-3) unstable; urgency=low

  * Dependency change from qt4-maemo5-homescreen-loader to qt4-homescreen-loader

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Mon, 21 Jun 2010 23:40:03 +0300
