=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: evehomescreen
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-maemo5-homescreen-loader
+Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-homescreen-loader
 Description: Homescreen widget to display Eve character training status
  Displays the skill currently being trained, target level and 
  time of completion.
